package com.hxhq.business.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.annotation.Excel;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 麻精药对象 t_mjy
 *
 * @author hxhq
 * @date 2025-12-18
 */
@TableName("t_mjy")
public class Mjy extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 名称 */
    @Compare(name = "名称",nameEn = "Name")
    private String mc;

    /** 编号 */
    private String bh;

    /** 浓度 */
    @Compare(name = "浓度",nameEn = "Concentration")
    private String nd;

    /** 浓度单位 */
    @Compare(name = "浓度单位",nameEn = "Concentration Unit")
    private String nddw;

    /** 库存 */
    @Compare(name = "库存",nameEn = "Inventory")
    private String kc;

    /** 库存单位 */
    @Compare(name = "库存单位",nameEn = "Inventory Unit")
    private String kcdw;

    /** 失效日期 */
    @Compare(name = "失效日期",nameEn = "Expiration")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sxrq;

    /** 制剂状态：1：入库；3：已发放；5：已锁定；7：待归档；9：归档；11：待解档 */
    private Integer zjzt;

    /** 借阅状态：1:未借阅 3:待借阅 5:借阅中 */
    private Integer jyzt;

    /** 编辑状态：1:未编辑 3:审核中 */
    private Integer bjzt;

    /** 库存编辑状态：1:未编辑 3:审核中 */
    private Integer kcbjzt;

    /** 容器状态：1:未处置 3:已处置 */
    private Integer rqzt;

    /** 归还状态：1：未申请；3：申请归还 */
    private Integer ghzt;

    /** 存储状态：1：取出；3：存储*/
    private Integer cczt;

    /** 档案状态：1：未归档；3：已归档*/
    private Integer dazt;

    /** 关联暂存柜id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long zcgId;

    /** 存储条件 */
    @Excel(name = "存储条件")
    private String cctj;

    /** 存储位置 */
    @Excel(name = "存储位置")
    private String ccwz;

    /** 所属表单id */
    private Long bdId;

    /**  所属试验id */
    private Long studyId;

    /** 名称编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String mcbj;

    /** 浓度编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String ndbj;

    /** 浓度单位编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String nddwbj;

    /** 库存编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcbj;

    /** 库存单位编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcdwbj;

    /** 失效日期编辑 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Date sxrqbj;

    /** 存储条件编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String cctjbj;

    /** 存储位置编辑 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String ccwzbj;

    /** 编辑备注 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String bjbz;

    /** 库存备注 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcbjbz;

    /** 编辑人id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long bjrId;

    /** 编辑人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String bjrMc;

    /** 库存编辑人id */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long kcbjrId;

    /** 库存编辑人名称 */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String kcbjrMc;

    /** 出库量 */
    private String ckl;

    /** 出库量单位 */
    private String ckldw;

    /** 发放转移条件 */
    private String ffzytj;

    /** 出库毛重 */
    private String ckmz;

    /** 出库毛重单位 */
    private String ckmzdw;

    /** 领取人1id */
    private Long lqr1Id;

    /** 领取人2id */
    private Long lqr2Id;

    /** 发放人1id */
    private Long ffr1Id;

    /** 发放人2id */
    private Long ffr2Id;

    /** 领取人1名称 */
    private String lqr1Mc;

    /** 领取人2名称 */
    private String lqr2Mc;

    /** 发放人1名称 */
    private String ffr1Mc;

    /** 发放人2名称 */
    private String ffr2Mc;

    /** 发放日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ffrq;

    /** 发放备注 */
    private String ffbz;

    /** 发放目的ids */
    private String mdIds;

    /** 借阅开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyksrq;

    /** 借阅结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jyjsrq;

    /** 发放目的其他 */
    private String mdOther;

    /** 归档申请人id */
    private Long gdsqrId;

    /** 归档申请人名称 */
    private String gdsqrMc;

    public Long getGdsqrId() {
        return gdsqrId;
    }

    public void setGdsqrId(Long gdsqrId) {
        this.gdsqrId = gdsqrId;
    }

    public String getGdsqrMc() {
        return gdsqrMc;
    }

    public void setGdsqrMc(String gdsqrMc) {
        this.gdsqrMc = gdsqrMc;
    }

    public Integer getDazt() {
        return dazt;
    }

    public void setDazt(Integer dazt) {
        this.dazt = dazt;
    }

    public Integer getCczt() {
        return cczt;
    }

    public void setCczt(Integer cczt) {
        this.cczt = cczt;
    }

    public String getMdOther() {
        return mdOther;
    }

    public void setMdOther(String mdOther) {
        this.mdOther = mdOther;
    }

    public Long getStudyId() {
        return studyId;
    }

    public void setStudyId(Long studyId) {
        this.studyId = studyId;
    }

    public Integer getGhzt() {
        return ghzt;
    }

    public void setGhzt(Integer ghzt) {
        this.ghzt = ghzt;
    }

    public Date getJyksrq() {
        return jyksrq;
    }

    public void setJyksrq(Date jyksrq) {
        this.jyksrq = jyksrq;
    }

    public Date getJyjsrq() {
        return jyjsrq;
    }

    public void setJyjsrq(Date jyjsrq) {
        this.jyjsrq = jyjsrq;
    }

    public String getMdIds() {
        return mdIds;
    }

    public void setMdIds(String mdIds) {
        this.mdIds = mdIds;
    }

    public Date getFfrq() {
        return ffrq;
    }

    public void setFfrq(Date ffrq) {
        this.ffrq = ffrq;
    }

    public String getCkl() {
        return ckl;
    }

    public void setCkl(String ckl) {
        this.ckl = ckl;
    }

    public String getCkldw() {
        return ckldw;
    }

    public void setCkldw(String ckldw) {
        this.ckldw = ckldw;
    }

    public String getFfzytj() {
        return ffzytj;
    }

    public void setFfzytj(String ffzytj) {
        this.ffzytj = ffzytj;
    }

    public String getCkmz() {
        return ckmz;
    }

    public void setCkmz(String ckmz) {
        this.ckmz = ckmz;
    }

    public String getCkmzdw() {
        return ckmzdw;
    }

    public void setCkmzdw(String ckmzdw) {
        this.ckmzdw = ckmzdw;
    }

    public Long getLqr1Id() {
        return lqr1Id;
    }

    public void setLqr1Id(Long lqr1Id) {
        this.lqr1Id = lqr1Id;
    }

    public Long getLqr2Id() {
        return lqr2Id;
    }

    public void setLqr2Id(Long lqr2Id) {
        this.lqr2Id = lqr2Id;
    }

    public Long getFfr1Id() {
        return ffr1Id;
    }

    public void setFfr1Id(Long ffr1Id) {
        this.ffr1Id = ffr1Id;
    }

    public Long getFfr2Id() {
        return ffr2Id;
    }

    public void setFfr2Id(Long ffr2Id) {
        this.ffr2Id = ffr2Id;
    }

    public String getLqr1Mc() {
        return lqr1Mc;
    }

    public void setLqr1Mc(String lqr1Mc) {
        this.lqr1Mc = lqr1Mc;
    }

    public String getLqr2Mc() {
        return lqr2Mc;
    }

    public void setLqr2Mc(String lqr2Mc) {
        this.lqr2Mc = lqr2Mc;
    }

    public String getFfr1Mc() {
        return ffr1Mc;
    }

    public void setFfr1Mc(String ffr1Mc) {
        this.ffr1Mc = ffr1Mc;
    }

    public String getFfr2Mc() {
        return ffr2Mc;
    }

    public void setFfr2Mc(String ffr2Mc) {
        this.ffr2Mc = ffr2Mc;
    }


    public String getFfbz() {
        return ffbz;
    }

    public void setFfbz(String ffbz) {
        this.ffbz = ffbz;
    }


    public Long getBjrId() {
        return bjrId;
    }

    public void setBjrId(Long bjrId) {
        this.bjrId = bjrId;
    }

    public String getBjrMc() {
        return bjrMc;
    }

    public void setBjrMc(String bjrMc) {
        this.bjrMc = bjrMc;
    }

    public Long getKcbjrId() {
        return kcbjrId;
    }

    public void setKcbjrId(Long kcbjrId) {
        this.kcbjrId = kcbjrId;
    }

    public String getKcbjrMc() {
        return kcbjrMc;
    }

    public void setKcbjrMc(String kcbjrMc) {
        this.kcbjrMc = kcbjrMc;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getNddw() {
        return nddw;
    }

    public void setNddw(String nddw) {
        this.nddw = nddw;
    }

    public String getKc() {
        return kc;
    }

    public void setKc(String kc) {
        this.kc = kc;
    }

    public String getKcdw() {
        return kcdw;
    }

    public void setKcdw(String kcdw) {
        this.kcdw = kcdw;
    }

    public Date getSxrq() {
        return sxrq;
    }

    public void setSxrq(Date sxrq) {
        this.sxrq = sxrq;
    }

    public Integer getZjzt() {
        return zjzt;
    }

    public void setZjzt(Integer zjzt) {
        this.zjzt = zjzt;
    }

    public Integer getJyzt() {
        return jyzt;
    }

    public void setJyzt(Integer jyzt) {
        this.jyzt = jyzt;
    }

    public Integer getBjzt() {
        return bjzt;
    }

    public void setBjzt(Integer bjzt) {
        this.bjzt = bjzt;
    }

    public Integer getKcbjzt() {
        return kcbjzt;
    }

    public void setKcbjzt(Integer kcbjzt) {
        this.kcbjzt = kcbjzt;
    }

    public Integer getRqzt() {
        return rqzt;
    }

    public void setRqzt(Integer rqzt) {
        this.rqzt = rqzt;
    }

    public Long getZcgId() {
        return zcgId;
    }

    public void setZcgId(Long zcgId) {
        this.zcgId = zcgId;
    }

    public String getCctj() {
        return cctj;
    }

    public void setCctj(String cctj) {
        this.cctj = cctj;
    }

    public String getCcwz() {
        return ccwz;
    }

    public void setCcwz(String ccwz) {
        this.ccwz = ccwz;
    }

    public Long getBdId() {
        return bdId;
    }

    public void setBdId(Long bdId) {
        this.bdId = bdId;
    }



    public String getMcbj() {
        return mcbj;
    }

    public void setMcbj(String mcbj) {
        this.mcbj = mcbj;
    }

    public String getNdbj() {
        return ndbj;
    }

    public void setNdbj(String ndbj) {
        this.ndbj = ndbj;
    }

    public String getNddwbj() {
        return nddwbj;
    }

    public void setNddwbj(String nddwbj) {
        this.nddwbj = nddwbj;
    }

    public String getKcbj() {
        return kcbj;
    }

    public void setKcbj(String kcbj) {
        this.kcbj = kcbj;
    }

    public String getKcdwbj() {
        return kcdwbj;
    }

    public void setKcdwbj(String kcdwbj) {
        this.kcdwbj = kcdwbj;
    }

    public Date getSxrqbj() {
        return sxrqbj;
    }

    public void setSxrqbj(Date sxrqbj) {
        this.sxrqbj = sxrqbj;
    }

    public String getCctjbj() {
        return cctjbj;
    }

    public void setCctjbj(String cctjbj) {
        this.cctjbj = cctjbj;
    }

    public String getCcwzbj() {
        return ccwzbj;
    }

    public void setCcwzbj(String ccwzbj) {
        this.ccwzbj = ccwzbj;
    }

    public String getBjbz() {
        return bjbz;
    }

    public void setBjbz(String bjbz) {
        this.bjbz = bjbz;
    }

    public String getKcbjbz() {
        return kcbjbz;
    }

    public void setKcbjbz(String kcbjbz) {
        this.kcbjbz = kcbjbz;
    }
}
